Subject: Re: bug#5202: 23.1; Not all buffers showing in Buffers menu bar list

From: Jan Djärv <[email-masked]>
Date: Wed, 16 Dec 2009 21:06:32 +0100

Bostjan Vilfan skrev 2009-12-13 08.16:
> From: Bostjan Vilfan<[email-masked]>
> To: [email-masked]
> Subject: 23.1; Not all buffers showing in Buffers menu bar list
> --text follows this line--
>
> I have noticed several times that under certain circumstances file buffers do
> not show up in the "Buffers" menu bar list. I am not sure I can describe all
> circumstances in which this occurs, but one is definitely reproducible:
>
> If I write on the terminal
>
> emacsclient --no-wait<file 1>  <file 2>
>
> only<file 1>  is visible in the Buffers list while<file 2>  is listed only
> after pressing "List all buffers" (C-x C-b). I might add that the terminal
> command "emacsclient --no-wait<file 1>  ; emacsclient --no-wait<file 2>"
> includes both files in the Buffers list. This behavior persists even if I
> invoke emacs with the -q command line option, thus excluding the influence
> of my customizations. Even if this behavior is not a bug, in my opinion it
> should be changed.
>
> I might add that this exact behavior is observable in the Windows version of
> emacs 23.1 as well.
>

FWIW, I can not reproduce this on OSX or Ubuntu 8.04.  However, one buffer is 
at the top of the buffer list, and the other at the bottom.  Is it possible 
you just missed them?

	Jan D.